notifybysms
API ExplorerCreate external transaction notifying via SMS.
Personalization (optional): Controls the payment form's theme, logo, and button text/colors for this transaction. Toggle the "Personalization" checkbox in the API Explorer to fill these in — leaving it unchecked still submits the transaction normally, using the merchant's default branding.
Header Parameters
Authentication token generated using the API Key and Secret Key. Required for all API requests.
Request Body
application/json
Response Body
application/json
curl -X POST "https://example.com" \ -H "token: string" \ -H "Content-Type: application/json" \ -d '{ "merchantAuthentication": { "merchantId": "139322815010", "transactionReferenceId": "TXNId00111223334571666" }, "transactionRequest": { "transactionType": 1, "amount": "1500", "calculateFee": false, "tipsInputPrompt": false, "calculateTax": false, "expiry": 1, "tipAmount": "", "feeAmount": "", "feeLabel": "" }, "notificationOption": { "notifyBySMS": true, "mobileNumber": "" }, "preferences": { "integrationType": 1, "avsVerification": false, "eReceipt": false, "eReceiptInputPrompt": false, "customerName": "", "customerEmail": "", "customerMobile": "", "sendPaymentLink": false, "requestCardToken": false }, "avs": { "Zip": "", "StreetNo": "" }, "l3Data": { "Header": { "TaxAmount": 0, "LocalTaxFlag": 1, "NationalTaxAmount": 0, "DestZipCode": "", "SummaryCommodityCode": "", "TaxRateApplied": 0, "TotalDiscountAmount": 0, "PoNumber": "", "FreightAmount": 0, "DutyAmount": 0, "ShipFromZipCode": "", "DestCountryCode": "", "MerchantTaxId": "", "LineItemCount": "001", "AltTaxAmount": 0, "PurchaseIdentifier": "", "PurchaseIdFormatCode": "Z", "OrderDate": "", "AltTaxIndicator": "" }, "Items": [ { "CommodityCode": "", "Description": "", "ProductCode": "", "Quantity": 1, "UnitOfMeasure": "EA", "UnitCost": 0, "TaxAmount": 0, "TaxRate": 0, "DiscountAmount": 0, "DiscountRate": 0, "DiscountIndicator": 0, "NetGrossIndicator": "N", "DebitCreditIndicator": "D", "ExtLineAmount": 0, "AltTaxID": 0, "TaxTypeApplied": "", "UnitPriceDecimal": 0, "NationalTaxAmount": 0, "NationalTaxRate": 0, "TaxIndicator": 0 } ] }, "personalization": { "merchantName": "", "logoUrl": "", "themeColor": "", "description": "", "payNowButtonText": "", "buttonColor": "", "cancelButtonText": "", "disclaimer": "" } }'{
"message": "URL generated successfully",
"information": ""
}